<?php
defined('_JEXEC') or die('Restricted access');

class JevFCH
{
	public static function initialiseCalendar($view, $icons = '')
	{

		$myItemid        = JEVHelper::getItemid();

		// Generate the icon list
		$cfg   = JEVConfig::getInstance();
		$icons = '';
		foreach ($cfg->get('iconstoshow') AS $icon)
		{
			if ($icon === 'byyear')
			{
				$icons .= ',agendaWeek,';
			}
			else if ($icon === 'bymonth')
			{
				$icons .= ',month';
			}
			else if ($icon === 'byweek')
			{
				$icons .= ',agendaWeek';
			}
			else if ($icon === 'byday')
			{
				$icons .= ',basicDay';
			}
		}

		// For now, always show the list
		$icons .= ',list';

		$script = "
			<script>
		        var calendar = '#calendar';
		
		        jQuery(calendar).fullCalendar({
		            // defaultDate: '2014-11-12',
		            defaultView: '$view',
		            header: {
		                left: 'prev,next today',
		                center: 'title',
		                right: '$icons'
		            },
		            // shows 6 weeks if this is true
		            fixedWeekCount: " . $cfg->get('fc_fixedWeekCount', 0) . ",
		            firstDay: " . $cfg->get('com_starday', 1) . ", <!-- Sunday=0, Monday=1, Tuesday=2, etc.-->
		            // show the week numbers
		            weekNumbers: false,
		            editable: true,
		            eventLimit: " . $cfg->get('com_calMaxDisplay', 5) . ", <!-- allow more link when too many events -->
		            eventRender: function(eventObj, el) {
		                el.popover({
		                    title: eventObj.title,
		                    content: eventObj.description,
		                    trigger: 'hover',
		                    placement: 'top',
		                    container: 'body'
		                });
		            },
		            events: 'index.php?option=com_jevents&task=getjson.eventRangeData&Itemid=$myItemid',
		    
		            loading: function (bool) {
		                jQuery('#loading').toggle(bool);
		                if (bool) {
		                    if (bool) {
		                        jQuery(this).on('mousedown', function (ev) {
		                            // is week number table cell
		                            var week = -1;
		                            if (jQuery(ev.target).is('.fc-week-number')) {
		                                var index = jQuery('.fc-bg .fc-week-number').index(jQuery(ev.target));
		                                var elem = jQuery('.fc-content-skeleton .fc-week-number span:eq(' + index + ')');
		                                week = elem.text();
		                            }
		                            // is a week number span
		                            else if (jQuery(ev.target).is('.fc-content-skeleton .fc-week-number span')) {
		                                var elem = jQuery(ev.target);
		                                week = elem.text();
		                            }
		                            if (week > -1) {
		                                // day 10 will always be in the current year
		                                var day = jQuery('.fc-bg .fc-day').eq(10);
		                                jQuery(calendar).fullCalendar('gotoDate', moment(day.attr('data-date')).week(week));
		                                jQuery(calendar).fullCalendar('changeView', 'agendaWeek')
		                            }
		                        });
		                    }
		                }
		            },
		            dayClick: function (date, jsEvent, view) {
		                jQuery(calendar).fullCalendar('gotoDate', date);
		                jQuery(calendar).fullCalendar('changeView', 'agendaDay')
		            }
		        });
			</script>";

		return $script;
	}
}