<?php
/**
 * JEvents Component for Joomla! 3.x
 *
 * @version     $Id: view.html.php 1406 2009-04-04 09:54:18Z geraint $
 * @package     JEvents
 * @copyright   Copyright (C) 2008-2017 GWE Systems Ltd
 * @license     GNU/GPLv2, see http://www.gnu.org/licenses/gpl-2.0.html
 * @link        http://www.jevents.net
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

JLoader::register('JevFullCalendar',JPATH_LIBRARIES."/jevents/jevfullcalendar/jevfullcalendar.php");


/**
 * HTML View class for the component frontend
 *
 * @static
 */
class FullCalendarViewMonth extends JEventsFullCalendarView
{

    function calendar($tpl = null)
    {
        $params = JComponentHelper::getParams(JEV_COM_COMPONENT);

	    JevFullCalendar::framework();

        //$this->data = $this->datamodel->getCalendarData($this->year, $this->month, $this->day);

        // For adding events in day cell
        $this->popup = false;
        if ($params->get("editpopup", 0) && JEVHelper::isEventCreator()) {
            JevHtmlBootstrap::modal();
            JEVHelper::script('editpopupJQ.js', 'components/' . JEV_COM_COMPONENT . '/assets/js/');
            $this->popup = true;
            $this->popupw = $params->get("popupw", 800);
            $this->popuph = $params->get("popuph", 600);
        }

        $this->is_event_creator = JEVHelper::isEventCreator();

    }
}
